Page MenuHomePhabricator

Show contribution tracking ID in Ingenico error messages as full 'External Reference #'
Closed, ResolvedPublic1 Story Points

Description

This is so great it deserves its own task - spinning off from T147679: Show contribution tracking ID in error messages as 'Reference #':

For Ingenico, what shows in the error message is the first part of the External Reference number, for example: 38905280. We're unable to search by these partial numbers. Would it be possible to update this, so that the full External Reference number (including the '.' and the number to the right of it) appears in the error message? For this example the full # is 38905280.37037. The Order ID for this one is 4279351834. This would be hugely helpful in finding elusive transactions, and give a real boost to our donor response times especially during Big English.

This is so useful that the more PSPs we can deploy it for, the better

Event Timeline

MBeat33 created this task.Oct 25 2016, 9:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 25 2016, 9:56 PM
DStrine set the point value for this task to 1.Oct 26 2016, 10:43 PM
Ejegg claimed this task.Oct 27 2016, 10:10 PM
Ejegg moved this task from Backlog to Doing on the Fundraising Sprint Unbreaking Now board.

Change 319002 had a related patch set uploaded (by Ejegg):
Use order id as error reference when possible

https://gerrit.wikimedia.org/r/319002

Change 319002 merged by jenkins-bot:
Use order id as error reference when possible

https://gerrit.wikimedia.org/r/319002

Ejegg added a comment.Nov 2 2016, 9:23 PM

This is deployed - the error should now show the order id when that's set (in Ingenico's case, this is the longer number, not the decimal), and fall back to ct_id when that's missing.

Ejegg closed this task as Resolved.Nov 2 2016, 9:23 PM

Change 322734 had a related patch set uploaded (by Ejegg):
Update inline error reference to use order_id

https://gerrit.wikimedia.org/r/322734

Change 322734 merged by jenkins-bot:
Update inline error reference to use order_id

https://gerrit.wikimedia.org/r/322734

MBeat33 added a comment.EditedNov 22 2016, 2:54 PM

@Ejegg, this looks great (and thanks to whoever put the x to dismiss the email autosuggest!). One question, the error reference in this example 1738580923 does not appear as an Order ID (or any other searchable parameter) at the console. Is this a ct_id number, and if so, is there any way we can use that kind of number to determine why a given donor's attempt failed?

I've seen a few of these already today, where the error reference # that the donor sends does not appear at the portal (8066250153 is another), and want to know what the best messaging for these cases would be.

Ejegg added a comment.Nov 22 2016, 4:28 PM

These two were ones where the Insert_OrderWithPayment call failed. Somehow we sent a country code=XX - I'll look into that.

DStrine reopened this task as Open.Nov 22 2016, 6:59 PM
DStrine moved this task from Completed in Q2 1617 to Triage on the Fundraising-Backlog board.
ggellerman closed this task as Resolved.Nov 22 2016, 10:11 PM